/*
 * Menu.java
 *
 * Created on 23 July 2007, 22:38
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package assignment;

import java.lang.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
/**
 *
 * @author David
 */
public class Menu extends JMenuBar {
    
    String[ ] fileItems = new String[ ] { "New", "Open...", "Save", "Save As...", "Compose with...", "Exit" };
    String[ ] viewItems = new String[ ] { "Refresh", "Sim Iterate"};
    
    Main mainApp;
    /** Creates a new instance of Menu */
    public Menu(Main theMain) {
        //@TODO: Implement shortcut keys
        mainApp = theMain;
        JMenu fileMenu = new JMenu("File");
        JMenu viewMenu = new JMenu("View");

        // Assemble the File menus with mnemonics.
        ActionListener printListener = new ActionListener(  ) {
         public void actionPerformed(ActionEvent event) {
             mainApp.handleMenuEvent(event.getActionCommand());
            //System.out.println("Menu item [" + event.getActionCommand(  ) + "] was pressed.");
         }
        };
        
        for (int i=0; i < fileItems.length; i++) {
         JMenuItem item = new JMenuItem(fileItems[i]);
         item.addActionListener(printListener);
         fileMenu.add(item);
        }
        
        for (int i=0; i < viewItems.length; i++) {
         JMenuItem item = new JMenuItem(viewItems[i]);
         /*item.setAccelerator(KeyStroke.getKeyStroke(editShortcuts[i],
              Toolkit.getDefaultToolkit(  ).getMenuShortcutKeyMask(  ), false));*/
         if (i == 0)
             item.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_F5, 0, false));
         if (i == 1)
             item.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_F6, 0, false));
         item.addActionListener(printListener);
         viewMenu.add(item);
        }
        
        add(fileMenu);
        add(viewMenu);
    }
    
}
