/*
 * LTSNodeTest.java
 * JUnit based test
 *
 * Created on 25 July 2007, 02:04
 */

package assignment;

import junit.framework.*;

/**
 *
 * @author David
 */
public class LTSNodeTest extends TestCase {
    
    public LTSNodeTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of setName method, of class LTSNode.
     */
    public void testSetGetName() {
        System.out.println("setName");
        
        String name = "Name";
        LTSNode instance = new LTSNode();
        
        instance.setName(name);
        
        assertEquals(name,instance.getName());

    }

    public void testToString() {
        LTSNode theNode = new LTSNode("name");
        assertEquals("name",theNode.toString());
    }
    
    public void testEquals() {
        LTSNode n1 = new LTSNode("name");
        LTSNode n2 = new LTSNode("name");
        LTSNode n3 = new LTSNode("!name");
        
        assertEquals(true,n1.equals(n2));
        assertEquals(false,n1.equals(n3));
    }
    
}
