/*
 * LTSTransitionTest.java
 * JUnit based test
 *
 * Created on 25 July 2007, 01:59
 */

package assignment;

import junit.framework.*;

/**
 *
 * @author David
 */
public class LTSTransitionTest extends TestCase {
    
    public LTSTransitionTest(String testName) {
        super(testName);
    }

    protected void setUp() throws Exception {
    }

    protected void tearDown() throws Exception {
    }

    /**
     * Test of setName method, of class LTSTransition.
     */
    public void testSetGetName() {
        System.out.println("setName");
        
        String theName = "Name";
        LTSTransition instance = new LTSTransition();
        
        instance.setName(theName);
        
        assertEquals(theName,instance.getName());
    }

    /**
     * Test of setNode1 method, of class LTSTransition.
     */
    public void testSetGetNode1() {
        System.out.println("setNode1");
        
        LTSNode theNode = new LTSNode("a");
        LTSTransition instance = new LTSTransition();
        
        instance.setNode1(theNode);
        
        if (instance.getNode1().getName() != "a")
            fail("Expected: node1's name to be \"a\"");
    }

    /**
     * Test of setNode2 method, of class LTSTransition.
     */
    public void testSetGetNode2() {
        System.out.println("setNode2");
        
        LTSNode theNode = new LTSNode("a");
        LTSTransition instance = new LTSTransition();
        
        instance.setNode2(theNode);
        
        if (instance.getNode2().getName() != "a")
            fail("Expected: node2's name to be \"a\"");
    }

    /**
     * Test of equals method, of class LTSTransition.
     */
    public void testEquals() {
        System.out.println("equals");
        
        LTSTransition ltst = new LTSTransition(new LTSNode("a"),new LTSNode("b"),"c");
        LTSTransition instance = new LTSTransition(new LTSNode("a"),new LTSNode("b"),"c");
        
        boolean expResult = true;
        boolean result = instance.equals(ltst);
        assertEquals(expResult, result);
        instance.setNode1(new LTSNode("x"));
        result = instance.equals(ltst);
        assertEquals(false,result);
    }
    
    public void testToString() {
        LTSTransition ltst = new LTSTransition(new LTSNode("a"),new LTSNode("b"),"c");
        String result = ltst.toString();
        assertEquals("a/c/b",result);
        ltst = new LTSTransition(new LTSNode("a"),null,"");
        result = ltst.toString();
        assertEquals("a",result);
    }
    
}
